# -*- coding: utf-8 -*-

from admin_tools.dashboard import modules
from django.utils.translation import gettext_lazy as _


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("role"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("role"),
            'display': "tabs",
            'children': [Models()]
        })
        super().__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("main models"),
            'models': (
                'thx.role.models.Profile',
                'thx.role.models.Role',
                'thx.role.models.RequiredField',
                'thx.role.models.StatusFlow',
                'thx.role.models.UsedField',
                'thx.role.models.Filter',
                'thx.role.models.Menu',
            ),
        })
        super().__init__(**kwargs)
