# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['thx',
 'thx.role',
 'thx.role.api',
 'thx.role.api.version1',
 'thx.role.core',
 'thx.role.management',
 'thx.role.management.commands',
 'thx.role.migrations',
 'thx.role.tests']

package_data = \
{'': ['*'],
 'thx.role': ['docs/*',
              'locale/*',
              'locale/it/*',
              'locale/it/LC_MESSAGES/*',
              'static/role/admin/*',
              'static/role/img/*',
              'static/role/src/*',
              'templates/includes/*',
              'templates/role/*']}

install_requires = \
['Django>=2,<4',
 'django-mptt>=0.13.4,<0.14.0',
 'jmb-filters>=1.3.0,<2.0.0',
 'thx-admin-tools>=0.2.1',
 'thx-core>=0.2.12,<0.3.0']

setup_kwargs = {
    'name': 'thx-role',
    'version': '0.2.0',
    'description': 'Manage roles, permissions, etc...',
    'long_description': 'None',
    'author': 'THUX',
    'author_email': 'code@thux.it',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
