# -*- coding: utf-8 -*-

from rest_framework import routers

from . import views

router = routers.SimpleRouter()
router.register(
    r'(?P<profile>\w+)/profile',
    views.ProfileViewSet,
)
router.register(
    r'(?P<profile>\w+)/role',
    views.RoleViewSet,
)
router.register(
    r'(?P<profile>\w+)/required-field',
    views.RequiredFieldViewSet,
)
router.register(
    r'(?P<profile>\w+)/status-flow',
    views.StatusFlowViewSet,
)
router.register(
    r'(?P<profile>\w+)/used-field',
    views.UsedFieldViewSet,
)
router.register(
    r'(?P<profile>\w+)/filter',
    views.FilterViewSet,
)
router.register(
    r'(?P<profile>\w+)/menu',
    views.MenuViewSet,
)
urlpatterns = router.urls
